<?php
defined('TYPO3') or die();

\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\Ig\IgContainer\Tca\Registry::class)->configureContainerWithPaletteHeaders(
    (
        new \B13\Container\Tca\ContainerConfiguration(
            'container-3col', 
            '3 Spalten',
            'Aufteilung des Inhaltsbereichs in 3 Spalten',
            [
                [
                    ['name' => 'Links', 'colPos' => 10],
                    ['name' => 'Mitte', 'colPos' => 11],
                    ['name' => 'Rechts', 'colPos' => 12]
                ]
            ]
        )
    )
    ->setIcon('EXT:ig_container/Resources/Public/Icons/Container/container-3col.svg')
    ->setSaveAndCloseInNewContentElementWizard(false)
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('*', 'FILE:EXT:ig_container/Configuration/FlexForms/container-3col.xml', 'container-3col');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes ( 'tt_content', 'pi_flexform;;;;1-1-1,', 'container-3col', 'after:header' );
